Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.thoughtworks.xstream.io.xml
Class XStream11XmlFriendlyReplacer

    java.lang.Object
      com.thoughtworks.xstream.io.xml.XmlFriendlyReplacer
          com.thoughtworks.xstream.io.xml.XStream11XmlFriendlyReplacer

    public class XStream11XmlFriendlyReplacer

extends XmlFriendlyReplacer

Allows replacement of Strings in xml-friendly drivers to provide compatibility with XStream 1.1 format

Since:
  1.2
Author:
  Mauro Talevi

Constructor Summary
`XStream11XmlFriendlyReplacer()` Default constructor.

Method Summary
`protected String` | `escapeClassName(String className)`
`protected String` | `escapeFieldName(String fieldName)`
`protected String` | `unescapeClassName(String className)`
`protected String` | `unescapeFieldName(String xmlName)`
`String` | `unescapeName(String name)` Noop implementation that does not unescape name.

Methods inherited from class com.thoughtworks.xstream.io.xml.XmlFriendlyReplacer
`escapeName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XStream11XmlFriendlyReplacer

    public XStream11XmlFriendlyReplacer()

  Default constructor.

Method Detail

### unescapeName

    public String unescapeName(String name)

  Noop implementation that does not unescape name. Used for XStream 1.1 compatibility.

  Overrides:
    `unescapeName` in class `XmlFriendlyReplacer`
  Parameters:
    `name` - the name of attribute or node
  Returns:
    The String with unescaped name

### escapeClassName

    protected String escapeClassName(String className)

### escapeFieldName

    protected String escapeFieldName(String fieldName)

### unescapeClassName

    protected String unescapeClassName(String className)

### unescapeFieldName

    protected String unescapeFieldName(String xmlName)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2008 XStream. All Rights Reserved.